mnoGoSearch 3.3.7 reference manual: Full-featured search engine software
Prev |  | Next

# SubstringMatchMinWordLength

## Name

SubstringMatchMinWordLength -- defines minimal word length for substring match

search.htm

## Synopsis

SubstringMatchMinWordLength {length}

## Description

If length is 0 then word match type for all words in a search query is controlled only by the value of the "wm" search parameter value.

With a positive length value, the words under the given length are searched using full word match, even if the "wm" search parameter tells to use one of the substring match types: wm=beg, wm=sub or wm=end. This can be useful for performance purposes, when substring match for short words returns too many hits.

Default value is 0.

## Examples

    SubstringMatchMinWordLength 2

## See also

MaxWordLength, MinWordLength, description of the "wm" search parameter in the Section called Search parameters in Chapter 8.

Prev | Home | Next
Subnet | Up | Suggest